#223 test_raw_url system msg not raised

sandbox
closed-fixed
nobody
None
5
2013-09-28
2013-02-20
Mark Smith
No

STEPS:
1. Download and install the Docutils snapshot 0.11
2. Run the test suite

EXPECTED: All successes

ACTUAL:
FAIL: test_raw_url (test_error_reporting.ErrorReportingTests)
----------------------------------------------------------------------
Traceback (most recent call last):
File "/Users/msmith/Downloads/docutils/test/test_error_reporting.py", line 324, in test_raw_url
self.parser.parse, source, self.document)
AssertionError: SystemMessage not raised
----------------------------------------------------------------------
Ran 1220 tests in 86.266s
FAILED (failures=1)
Elapsed time: 88.240 seconds

ENV:
Mac OSX Darwin critiq.criticalmention.com 11.4.2 Darwin Kernel Version 11.4.2: Thu Aug 23 16:25:48 PDT 2012; root:xnu-1699.32.7~1/RELEASE_X86_64 x86_64
Python 2.7.1
quicktest.py (Docutils 0.11 [repository])

Discussion

  • Günter Milde

    Günter Milde - 2013-02-22
    • status: open --> pending-works-for-me
     
  • Günter Milde

    Günter Milde - 2013-02-22

    Thanks for the bug report. It seems like a false positive.

    However, I cannot reproduce it here

    * Python 2.7.3 (default, Jan 2 2013, 13:56:14) [GCC 4.7.2] on linux2
    * Docutils 0.11 [repository] udated 2013-02-21.

    so I am at a loss regarding the source of the problem.

     
  • Dmitry Shachnev

    Dmitry Shachnev - 2013-09-23

    Looks like someone in Debian is also able to trigger it in a clean environment: https://bugs.debian.org/724070.

     
  • Günter Milde

    Günter Milde - 2013-09-23

    Unfortunately, the Debian bug does not report a Python version.
    I am still not able to reproduce the false positive here
    on Debian/testing with a clean Docutils checkout
    (Docutils 0.12 [repository]) both of

    • Python 2.7.5+ on 2013-09-23 at 20:54:18
    • Python 2.6.8 on 2013-09-23 at 20:55:15
     
  • Michael Schutte

    Michael Schutte - 2013-09-27

    Daniel Schepler has provided some extra information in the Debian bug log. The issue is apparently caused by some ISPs' non-standard DNS redirection responses to non-existent hostnames. I don't know if these DNS servers are consistently configured to at least give a proper NXDOMAIN response for ".invalid" domains, but it might be worth a try.

     
  • Günter Milde

    Günter Milde - 2013-09-28
    • status: pending-works-for-me --> closed-fixed
    • Group: --> sandbox
     
  • Günter Milde

    Günter Milde - 2013-09-28

    I removed the offending test, as it depends on settings we do not have control over and is largely redundant.

    Thank you for reporting and investigating.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks